package com.persagy.entity;


import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * 报警记录
 */
@ApiModel(value = "报警记录")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("zkt_alarm_record")
public class ZktAlarmRecordDO implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 报警定义ID
     */
    @TableId(value = "definition_id")
    private String definitionId;

    /**
     * 报警条目编码
     */
    @TableField(value = "item_code")
    @ApiModelProperty(value = "报警条目编码")
    private String itemCode;

    /**
     * 报警对象ID
     */
    @TableField(value = "obj_id")
    @ApiModelProperty(value = "报警对象ID")
    private String objId;

    /**
     * 类型id
     */
    @TableField(value = "item_id")
    @ApiModelProperty(value = "报警类型id")
    private String itemId;

    /**
     * 报警定义对应最新一条报警记录状态
     * 1-产生 2-恢复 3-过期
     */
    @TableField(value = "state")
    @ApiModelProperty(value = "报警定义对应最新一条报警记录状态")
    private String state;

    /**
     * 报警定义对应最新一条报警记录ID
     */
    @TableField(value = "alarm_id")
    @ApiModelProperty(value = "报警定义对应最新一条报警记录ID")
    private String alarmId;

    /**
     * 报警时间
     */
    @TableField(value = "alarm_time")
    @ApiModelProperty(value = "报警时间")
    private String alarmTime;

    /**
     * 报警生效结束时间(报警过期时间)
     */
    @TableField(value = "effect_end_time")
    @ApiModelProperty(value = "报警生效结束时间(报警过期时间)")
    private String effectEndTime;

    /**
     * 备注
     */
    @TableField(value = "remark")
    @ApiModelProperty(value = "备注")
    private String remark;

    /**
     * 报警名称
     */
    @TableField(value = "name")
    @ApiModelProperty(value = "报警名称")
    private String name;

    /**
     * 报警结束值
     */
    @TableField(value = "end_info")
    @ApiModelProperty(value = "报警结束值")
    @JSONField(jsonDirect = true)
    private String endInfo;

    /**
     * 有效期结束时间；
     */
    @TableField(value = "end_time")
    @ApiModelProperty(value = "报警自动过期时间")
    private Date endTime;
    /**
     * 报警名称
     */
    @TableField(value = "project_id")
    @ApiModelProperty(value = "项目ID")
    private String projectId;

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}