package com.persagy.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.entity.ZktAlarmRecordDO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.mapstruct.Mapper;
import org.springframework.stereotype.Repository;

/**
 * @description:
 * @author: YangWanYi
 * @create: 2022-07-22 16:58
 **/
@Mapper
public interface AlarmRecordMapper extends BaseMapper<ZktAlarmRecordDO> {

    @Update(value = "REPLACE INTO zkt_alarm_record ( DEFINITION_ID, PROJECT_ID, obj_id, ITEM_CODE, state, alarm_id, alarm_time, effect_end_time, remark, name, end_info, end_time, ITEM_ID )" +
            " VALUES ( #{record.definitionId}, #{record.projectId}, #{record.objId}, #{record.itemCode}, #{record.state}, #{record.alarmId}, #{record.alarmTime}, #{record.effectEndTime}," +
            " #{record.remark}, #{record.name}, #{record.endInfo}, #{record.endTime}, #{record.itemId} )")
    int replaceSave(@Param("record") ZktAlarmRecordDO zktAlarmRecordDO);

    @Select(value = "SELECT * FROM zkt_alarm_record a WHERE a.item_code = #{itemCode} and a.obj_id = #{objId}")
    ZktAlarmRecordDO findByItemCodeAndObjId(@Param("itemCode") String itemCode, @Param("objId") String objId);
}
